local MonkeyToggler = CreateFrame("Frame")

local function OnEvent(self, event, addon)
    if event ~= "ADDON_LOADED" or addon ~= "MonkeyToggler" then return end
    local LDB = LibStub("LibDataBroker-1.1", true)

    if "deDE" == GetLocale() then
        tooltip = "Anlicken, um MonkeyQuest zu öffnen oder schließen."
    else
        tooltip = "Click to toggle MonkeyQuest."
    end
    
    if LDB then
        LDB:NewDataObject("MonkeyToggler", {
            type = "launcher",
            icon = "Interface\\AddOns\\MonkeyToggler\\icon",
            OnClick = function(clickedframe, button)
                MonkeyToggler:Toggle()
            end,
            OnTooltipShow = function(tt)
                tt:AddLine(tooltip)
            end,
        })
    end
    
    MonkeyToggler:UnregisterEvent("ADDON_LOADED")
    MonkeyToggler:SetScript("OnEvent", nil)
end

function MonkeyToggler:Toggle()
    if MonkeyQuestConfig[MonkeyQuest.m_strPlayer].m_bDisplay then
        MonkeyQuestSlash_CmdOpen(false)
    else
        MonkeyQuestSlash_CmdOpen(true)
    end
end

MonkeyToggler:SetScript("OnEvent", OnEvent)
MonkeyToggler:RegisterEvent("ADDON_LOADED")